Important upgrade for PortaMx 0.971 / 0.971-1

Started by Feline, 2010 January 04, 01:54:06 pm

previous topic - next topic

0 Members and 1 Guest are viewing this topic.

Feline

*
2010 January 04, 01:54:06 pm
We released the update package v0.971-2 for PortaMx v0.971 / 0.971-1.
This update fixed follow bugs we found in the version 0.971 and 0.971-1

Version 0.971:
  # Error (only php5) on scan the title icons
  # missing images for the poll block
  # the cache trigger don't work correct on remove topics in the user profile
  # the default english block title was not shown, if a user language title missing
  # a lot of errors in the error log, if you edit non cachable blocks
  # if smf caching disable and pmx cachestatus enabled, a lot of error will be produce
  # the cache cleaner not works property on block without own trigger

Version 0.971-1:
# a lot of errors on illegal dlattach requests
# the frontpage is not show, if the forum not visible for guests
# redirects for language change, theme change and polls don't work always correct
# languages can't install manually, if the portamx docserver not readable
# on the boardindex a <meta name="robots" content="noindex" /> is inserted
# border class not works on the old core theme

New features added:
# Dynamic visibility option to show/hide a block on theme

For languages other then english, english-utf8, german and german-utf8 you have to add follow code
to the file /Themes/default/languages/PortaMx/AdminBlocks.language.php:
Code Select

$txt['pmx_edit_ext_opts_themes'] = 'Show or Hide the block on theme';

The languages on the portamx docserver are updated.

Fel
Many are stubborn in relation to the way, but less in relation to the target.

Cool

*
#1
2010 January 04, 04:55:19 pm
Thank YOU!!!
|I Use: SMF 2.0.5 | PortaMx 1.51
Q: What do you do when you see a bear in the woods?
A: Play Dead!
H-A-H-L = Happy Admins Have Linux

waffa

*
#2
2010 January 04, 08:06:38 pm
Thank you, exactly on right time :)

(Y)

antechinus

*
#3
2010 January 04, 11:31:22 pm
Awesome. Grabbing a download now. Thanks. :)
Using Internet Explorer 6 on the internet is like urinating in a public swimming pool.
It's rude, there's no excuse for it, and anyone who does it should be ashamed of themselves.

hartiberlin

*
#4
2010 January 14, 08:30:33 am
When I try to install the update 971-2 from the PMX Admin panel
on one of my domain
www.travelhotelscheap.com
I get an error in the boardindex.php  file,
before installation, so I did not do the update.

On my other domain
www.Ruhleben.com
it went tthrough without any problems...
Hmm. I have to investigate this..

Was in boardindex.php the
<meta name="robots" content="index|follow|noindex|nofollow"> error ?
Because I already patched that before the update..
Hmm...

Feline

*
#5
2010 January 14, 10:36:04 am
If you have pached a part that made by PortaMx, you have to restore the code before update.

Fel
Many are stubborn in relation to the way, but less in relation to the target.

hartiberlin

*
#6
2010 January 14, 09:42:30 pm
What exactly did you change in boardindex.php
or where can I look this up ?

Many thanks.

Feline

*
#7
2010 January 14, 10:41:08 pm
this part is changed on 0.971-2 ...
Code Select

<!-- BoardIndex.php -->
<file name="$sourcedir/BoardIndex.php">
<operation>
<search position="replace"><![CDATA[
if (!empty($_GET) || empty($_GET['action']) || (!empty($_GET['action']) && $_GET['action'] != 'forum'))
$context['robot_no_index'] = true;
]]></search>
<add><![CDATA[
if (!empty($_GET))
$context['robot_no_index'] = (isset($_GET['action']) && $_GET['action'] == 'forum') ? false : true;
]]></add>
</operation>
</file>


Fel
Many are stubborn in relation to the way, but less in relation to the target.

hartiberlin

*
#8
2010 January 15, 01:47:48 am
Yes, I think I removed this already manually...
So when I then install it anyway with showing the error,
will it mess up my forum or not ?
Will it change anything in the boardindex.php file then ?

Ich hatte das schon manuell damals geändert.
weil ich das robots tags in dem Meta Tag Mod reinhaben wollte...

Wenn ich nun die neue Version trotzdem installiere.
obwohl sie mir den Fehler bei Boardindex.php anzeigt,
kann ich mir dann was zerschiessen oder
ändert er dann nicht am Boardindex.php file ?

Danke.

Feline

*
#9
2010 January 15, 01:22:41 pm
You can install the upgrade by ignore the error. In this case the boardindex is't modify.

Fel
Many are stubborn in relation to the way, but less in relation to the target.

neo67

*
#10
2010 March 30, 05:23:59 pm
How can In Update PortaMX (PortaMx_0971-2.zip)? Only copy the files with ftp? Or copy an run dbupgrade.php?

Thanks
neo67
Linux Mint Support: www.linuxmintusers.de

* Shouts

Feline
2018 Aug. 21, 08:10:46 pm
Today we update our Forum to the Version 1.45
Feline
2018 Jun. 09, 07:54:13 pm
Today we update our Forum to Version 1.4
This release is full compatible with the EU GDPR
Feline
2018 Mar. 28, 11:56:21 am
Update for PortaMx 1.54 ecl released.
With this updates the Portal works with PHP 7.x and SMF 2.0.15
Feline
2018 Mar. 17, 10:35:03 pm
PortaMx Forum 1.3
released !

*
Feline
2017 Dec. 10, 04:30:54 am
Today we switched to PHP 7.2 and activate Opcode caching.
Fast .. Very fast *
Feline
2017 Mar. 03, 11:54:35 pm
Today we upgrade our old SMF 2.0 Forum to PortaMx Forum *

* Calendar

Su
Mo
Tu
We
Th
Fr
Sa
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31